using System;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialExperienceService
    {
        Task<TrialExperienceModel> GetTrialExperience(Guid doctorId);
        Task<IResponseOutput> AddOrUpdateTrialExperience(TrialExperienceCommand model);
        Task<IResponseOutput> DeleteTrialExperience(Guid id);
        Task<IResponseOutput> UpdateGcpExperience(GCPExperienceCommand model);
        Task<IResponseOutput> UpdateOtherExperience(ClinicalExperienceCommand updateOtherClinicalExperience);
    }
}